# Marionnet filesystem's configuration file.
# The full Bash syntax may be used here.
#
# Some assignments used in this template are kept
# from our old machine-pinocchio-14787

# The output of the command `md5sum' on the filesystem:
MD5SUM=ff54e83dcce74fe5515e2c38bf62c6cd

# The output (first field) of the command `sum' on the filesystem:
SUM=22987

# The creator of the filesystem:
AUTHOR="Jean-Vincent Loddo"

# The creation date:
DATE=2013-10-04

# The modification time (MTIME). Because of a user-mode-linux's protection
# mechanism, this setting is very important for sharing marionnet's projects
# between different installations. For instance, if you open on your laptop
# a project created at the university, the involved filesystems must be the
# same, of course, but they must also have exactly the same MTIME.
#
# Thus, it's a good idea to run this post-installation command:
#
# sudo touch -d @$MTIME $FILESYSTEM
#
# where $MTIME is the value indicated below, and $FILESYSTEM is the location
# of the filesystem image on your disk.
#
# On the other hand, if you are providing a new filesystem, you can set this
# variable (once your filesystem is completely finished and stable) simply
# running the command:
#
# stat -c "%Y" $FILESYSTEM
#
MTIME=1380911613

# Supported kernel(s) with their console-related parameters (according to the
# content of /etc/inittab). The variable SUPPORTED_KERNELS may contain a list
# of statements of the form:
#
#   KERNEL [PARAMS]  [KERNEL [PARAMS]]..
#
# where
#
#   KERNEL ::= "[" EPITHET "]"
#            | "/" REGEXP  "/"
#
#   PARAMS is a string
#   EPITHET
#     is the suffix (the substring after "linux-") of an available
#     kernel in a "kernels/" directory
#   REGEXP is a regular expression (possibly denoting some epithets)
#
# Several statements KERNEL [PARAMS] may be specified. Note that if you are
# using the += assignment operator to catenate statements, please dont forget
# the blank character to separe words (example: SUPPORTED_KERNELS+=" ...").
#
# Examples:
# SUPPORTED_KERNELS='[2.6.18-ghost] con=none ssl=xterm console=ttyS0'
# SUPPORTED_KERNELS+=' /3[.]2[.]..*/ con0=xterm'
#
SUPPORTED_KERNELS='/3.2/'

# X11 compliance. The possible (multiple) choices are "xhosted" and "xnested".
# The value "none" is equivalent to leave this variable empty, which means
# that the filesystem doesn't have the support to display X programs.
#
# Examples:
# X11_SUPPORT+="xhosted"
# X11_SUPPORT+="xnested"
# X11_SUPPORT="none"
#
X11_SUPPORT="xhosted"

# Minimum size in Mb of RAM to allocate to this virtual machine.
# For machines with graphical programs it may be suitable to set
# at least 48 Mb of RAM.
MEMORY_MIN_SIZE=64

# Default value proposed to the user in the machine's dialogs.
MEMORY_SUGGESTED_SIZE=80

# Support for multiple consoles.
MULTIPLE_CONSOLES_SUPPORT=true

# Sorted list of available binaries.
BINARY_LIST='2to3 2to3-2.7 Crack Crack-Reporter IPv6_CARE_binary_lookup.sh IPv6_CARE_protect_arguments.sh MAKEDEV X11 [ a2dismod a2dissite a2enmod a2ensite a2p ab accessdb add-shell addcr addgroup addpart addr2line adduser adjtimex adjtimexconfig agetty amuFormat.sh apache2 apache2ctl apachectl appres apropos apt-cache apt-cdrom apt-config apt-extracttemplates apt-ftparchive apt-get apt-key apt-mark apt-sortpkgs aptitude aptitude-create-state-bundle aptitude-curses aptitude-run-state-bundle ar arch argv0 aria2c arp arpaname arpd arping as ash aspell aspell-autobuildhash aspell-import atftpd atobm attr authdaemond authenumerate authpasswd authtest autoconf autoheader autom4te autoreconf autoscan autoupdate awk babeld badblocks base64 basename bash bashbug bdftopcf bdftruncate biosdecode bitmap blkid blkmapd blockdev bmtoa brctl bsd-from bsd-write bunzip2 bzcat bzcmp bzdiff bzegrep bzexe bzfgrep bzgrep bzip2 bzip2recover bzless bzmore c++filt c2ph c89 c89-gcc c99 c99-gcc c_rehash cal calendar capinfos capsh captoinfo cat catchsegv catman cc cfdisk chacl chacl chage chat chattr chcon check_forensic checkgid chfn chgpasswd chgrp chkconfig chkdupexe chmod chown chpasswd chpst chroot chrt chsh chvt cifs.idmap cifs.upcall cifscreds cifsiostat cksum clear clear_console clockdiff cmp codepage col colcrt colrm column comm compose config_data corelist courier-config courierauthconfig courierldapaliasd courierlogger couriertcpd couriertls cp cpan cpan2dist cpanp cpanp-run-perl cpgr cpio cpp cpp-4.7 cppw cracklib-check cracklib-format cracklib-packer cracklib-unpacker create-cracklib-dict cron crontab csh csplit ctrlaltdel ctstat curl curlftpfs cut cytune dash date date@ dbmmanage dbus-cleanup-sockets dbus-daemon dbus-launch dbus-monitor dbus-send dbus-uuidgen dd ddate ddns-confgen deallocvt debconf debconf-apt-progress debconf-communicate debconf-copydb debconf-escape debconf-set-selections debconf-show deborphan debugfs delcr delgroup deliverquota deliverquota.courier delpart deluser depmod df dgawk dh_bash-completion dh_python2 dhclient dhclient-script dhcpd dialog diff diff3 dig dir dircolors dirname dmesg dmidecode dmsetup dnsdomainname dnssec-dsfromkey dnssec-keyfromlabel dnssec-keygen dnssec-revoke dnssec-settime dnssec-signzone domainname dos2unix dosfsck dosfslabel dpkg dpkg-deb dpkg-divert dpkg-divert dpkg-maintscript-helper dpkg-preconfigure dpkg-query dpkg-reconfigure dpkg-split dpkg-statoverride dpkg-statoverride dpkg-trigger dprofpp dtd2vim du dumpcap dumpe2fs dumphint dumpkeys dumpkeys dvipdf e2freefrag e2fsck e2image e2label e2undo e4defrag echo ed edit editcap editkeep editor editres egrep elfedit enc2xs encode_keychange env envsubst ephy-profile-migrator epiphany epiphany-browser eps2eps eqn erb erb1.9.1 ethghost ethtool ex expand expect expiry exportfs expr factor faillog fallocate false fc-cache fc-cat fc-list fc-match fc-pattern fc-query fc-scan fdformat fdisk fgconsole fgrep filan file filefrag find find2perl findfs findmnt finger finger@ fixcrio fixproc flex flex++ flock fmt fold font2c fonttosfnt free from fsck fsck.cramfs fsck.ext2 fsck.ext3 fsck.ext4 fsck.ext4dev fsck.minix fsck.msdos fsck.nfs fsck.vfat fsfreeze fstab-decode fstrim ftp ftpd funzip fuser fusermount gawk gcc gcc-4.7 gcc-ar gcc-ar-4.7 gcc-nm gcc-nm-4.7 gcc-ranlib gcc-ranlib-4.7 gconf-merge-tree gconf-schemas gconftool gconftool-2 gcore gcov gcov-4.7 gdb gdbserver gdbtui gem gem1.9.1 gencat genrandom geqn getcap getcifsacl getconf getent getfacl getfacl getfattr getkeycodes getopt getpcaps gettext gettext.sh gettextize getty ghostscript ginstall-info gksu gksu-properties gksudo gnome-www-browser gold gpasswd gpg gpg-zip gpgsplit gpgv gpic gprof grep groff grog grops grotty groupadd groupdel groupmod groups grpck grpconv grpunconv gs gsbj gsdj gsdj500 gsettings-data-convert gsettings-schema-convert gslj gslp gsnd gss_clnt_send_err gss_destroy_creds gtbl gtk-update-icon-cache-3.0 gunzip gv gv-update-userconfig gzexe gzip h2ph h2xs halt hd head helpztags hexdump host hostid hostname htcacheclean htdbm htdigest html2text htop htpasswd http@ httxt2dbm hwclock i386 i486-linux-gnu-cpp i486-linux-gnu-cpp-4.7 i486-linux-gnu-gcc i486-linux-gnu-gcc-4.7 i486-linux-gnu-gcc-ar-4.7 i486-linux-gnu-gcc-nm-4.7 i486-linux-gnu-gcc-ranlib-4.7 ico iconv iconvconfig id ifconfig ifdown ifmetric ifnames ifquery ifup igawk imapd imapd in.tftpd inetutils-ifconfig inetutils-inetd inetutils-telnet info infobrowser infocmp infokey infotocap init insmod insserv install install-info install-info installkernel instmodsh invoke-rc.d ionice iostat ip ip ip6tables ip6tables-apply ip6tables-restore ip6tables-save ipcalc ipcmk ipcrm ipcs ipmaddr ipsvd-cdb iptables iptables-apply iptables-restore iptables-save iptables-xml iptunnel ipv6_care ipv6calc ipv6loganon ipv6logconv ipv6logstats irb irb1.9.1 isc-hmac-fixup ischroot isosize ispell-autobuildhash ispell-wrapper jmacs joe john join jpico json_pp jstar kbd_mode kbdinfo kbdrate kill killall killall5 kmod koi8rxterm last lastb lastlog lcf ld ld.bfd ld.gold ldapadd ldapcompare ldapdelete ldapexop ldapmodify ldapmodrdn ldappasswd ldapsearch ldapurl ldapwhoami ldattach ldconfig ldd less less lessecho lessecho lessfile lessfile lesskey lesskey lesspipe lesspipe lex lexgrog lft lft.db libnetcfg lighttpd lighttpd-angel lighttpd-disable-mod lighttpd-enable-mod lighty-disable-mod lighty-enable-mod line link links links2 linux32 linux64 linux_logo linuxlogo listres ln lnstat loadkeys loadkeys loadunimap locale locale-gen localedef logger login logname logresolve logrotate logsave look lorder losetup ls lsattr lsblk lscpu lsmod lsmod lsof lspgpot luit lxterm lynx lz lzcat lzcmp lzdiff lzegrep lzfgrep lzgrep lzless lzma lzma_alone lzmainfo lzmore lzop m4 mac2unix mailbot maildiracl maildirkw maildirmake maildirmake.courier maildrop mailer mailq make make-ssl-cert makedat makedat.courier makemime makeuserdb man man2html mandb manpath mapscrn mattrib mawk mbadblocks mcat mcd mcheck mclasserase mcomp mconnect mconnect-io mcookie mcopy md5sum md5sum.textutils mdel mdeltree mdir mdu mergecap mesg mformat mii-diag mii-tool minfo mingetty mk_modmap mkdir mkdosfs mke2fs mkfifo mkfontdir mkfontscale mkfs mkfs.bfs mkfs.cramfs mkfs.ext2 mkfs.ext3 mkfs.ext4 mkfs.ext4dev mkfs.minix mkfs.msdos mkfs.vfat mkhomedir_helper mklost+found mkmanifest mknod mkpasswd mkswap mktemp mlabel mmd mmount mmove modinfo modprobe more mount mount.cifs mount.fuse mount.nfs mount.nfs4 mountpoint mountstats mpack mpartition mpstat mrd mren msgattrib msgcat msgcmp msgcomm msgconv msgen msgexec msgfilter msgfmt msggrep msginit msgmerge msgunfmt msguniq mshortname mshowfat mt mt-gnu mtools mtoolstest mtr mtrace mtype munpack mv mxtar mzip named named-checkconf named-checkzone named-compilezone named-journalprint namei nameif nano nano nast nawk nc nc.traditional ncal ncat ncftp ncftp3 ncftpbatch ncftpbookmarks ncftpget ncftpls ncftpput ncftpspooler ncurses5-config ncursesw5-config ndiff neqn net net-snmp-config net.samba3 netcat netkit-ftp netstat newaliases newgrp newusers nfnl_osf nfsidmap nfsiostat nfsiostat nfsstat ngettext nice nisdomainname nl nm nmap nmblookup nmblookup.samba3 nohup nologin nping nproc nroff nsec3hash nslookup nstat nsupdate ntp-keygen ntp-wait ntpd ntpdate ntpdate-debian ntpdc ntpq ntpsweep ntptime ntptrace objcopy objdump oclock od oldfind omshell open openssl openvt orphaner osd_login ownership pager pam-auth-update pam_getenv pam_tally pam_tally2 partx passwd paste patch pathchk pdb pdb2.7 pdf2dsc pdf2ps pdfopt peekfd perl perl5.14.2 perlbug perldoc perlivp perlthanks pf2afm pfbtopfa pftp pg pgawk pgrep pic pico picolisp piconv pidof pidstat pil ping ping6 pinky pivot_root pkill pl2pm plainrsa-gen plipconfig plog pmap pod2html pod2latex pod2man pod2text pod2usage podchecker podselect poff pon postalias postcat postconf postdrop postfix postfix-add-filter postfix-add-policy postkick postlock postlog postmap postmulti postqueue postsuper poweroff pphs pppd pppdump pppoe-discovery pppstats pr precat preconv prename preunzip prezip prezip-bin print printafm printenv printerbanner printf procan prove prtstat ps ps2ascii ps2epsi ps2pdf ps2pdf12 ps2pdf13 ps2pdf14 ps2pdfwr ps2ps ps2ps2 ps2txt psed psfaddtable psfgettable psfstriptable psfxtable pstree pstree.x11 pstruct ptar ptardiff ptargrep ptx pw2userdb pwck pwconv pwd pwdx pwunconv pyclean pycompile pydoc pydoc2.7 pygettext pygettext2.7 python python2.7 pyversions qmqp-sink qmqp-source qshape racoon racoon-tool racoonctl radvd radvdump rake1.9.1 ranlib rarp raw rawshark rbash rblsmtpd rclock rcp rdate rdoc rdoc1.9.1 readelf readlink readprofile realpath reboot recode-sr-latin recordio red reformail reformime remove-default-ispell remove-default-wordlist remove-shell rename rename.ul renice reset resize resize2fs resizecons resolvconf rev rgrep ri ri1.9.1 rjoe rlogin rm rmail rmail rmdir rmmod rmt rmt-tar rnano rndc rndc-confgen rotatelogs route routef routel rox rox-filer roxterm roxterm-config rpc.gssd rpc.idmapd rpc.mountd rpc.nfsd rpc.statd rpc.svcgssd rpc.yppasswdd rpc.ypxfrd rpcbind rpcdebug rpcgen rpcinfo rpcinfo rsh rsync rtacct rtcwake rtmon rtstat ruby ruby1.9.1 run-mailcap run-parts run-with-aspell runcon runit runit-init runlevel runsv runsvchdir runsvdir runsvdir-start rview rvim rxvt rxvt-xpm rxvt-xterm s2p sadf safe_finger sar sar.sysstat savelog scp screendump script scriptreplay sdiff sed see select-default-ispell select-default-iwrap select-default-wordlist sendmail sensible-browser sensible-editor sensible-pager seq service setarch setcap setcifsacl setfacl setfacl setfattr setfont setkey setkeycodes setleds setlogcons setmetamode setserial setsid setterm setvesablank setvtrgb setxkbmap sfdisk sftp sg sh sh.distrib sha1sum sha224sum sha256sum sha384sum sha512sum shadowconfig shar sharedindexinstall sharedindexsplit shasum showconsolefont showkey showmount shred shuf shutdown shutdown.unsafe size skill slabtop slapacl slapadd slapauth slapcat slapd slapdn slapindex slappasswd slapschema slaptest slattach sleep slogin sm-notify smbpasswd smtp-sink smtp-source snice snmpbulkget snmpbulkwalk snmpconf snmpd snmpdelta snmpdf snmpget snmpgetnext snmpinform snmpnetstat snmpset snmpstatus snmptable snmptest snmptranslate snmptrap snmptrapd snmpusm snmpvacm snmpwalk sntp socat soelim sort splain split split-logfile splitfont sprof ss ssh ssh-add ssh-agent ssh-argv0 ssh-copy-id ssh-keygen ssh-keyscan ssh-vulnkey sshd sshfs sslio sslsvd start-statd start-stop-daemon start-stop-daemon.REAL startpar startpar-upstart-inject stat stdbuf strace strings strip stty su sudo sudoedit sudoreplay sulogin sum sv svlogd swaplabel swapoff swapon switch_root sync sysctl syslogd systool tabs tac tail tailf tar tasksel taskset tbl tc tclsh tclsh8.4 tclsh8.5 tcpcat tcpclient tcpd tcpdchk tcpdmatch tcpdump tcprules tcprulescheck tcpserver tcpsvd tcptraceroute tcptraceroute.db tcsh tcsh tee telinit telnet telnet.netkit telnetd tempfile test testmxlookup testparm testparm.samba3 testrb testrb1.9.1 text2pcap tftp tgz tic time timeout tload toe top touch touch tput tr tracepath tracepath6 traceproto traceproto.db traceroute traceroute traceroute-nanog traceroute.db traceroute6 traceroute6.db traceroute6.iputils transset traptoemail troff true truncate try-from tset tshark tsort tty tune2fs tunelp tzconfig tzselect ucf ucfq ucfr ucs2any udpsvd ul ulockmgr_server umount umount.nfs umount.nfs4 unafs uname uncompress unexpand unicode_start unicode_stop uniq unique unix2dos unix2mac unix_chkpwd unix_update unlink unlzma unshadow unshar unshare unxz unzip unzipsfx update-alternatives update-alternatives update-cracklib update-default-aspell update-default-ispell update-default-wordlist update-dictcommon-aspell update-dictcommon-hunspell update-fonts-alias update-fonts-dir update-fonts-scale update-gconf-defaults update-gsfontmap update-icon-caches update-inetd update-info-dir update-locale update-mime update-mime-database update-mime-database.real update-passwd update-rc.d update-service uptime useradd userdb userdb-test-cram-md5 userdbpw userdel usermod users utmpset uudecode uuencode uxterm uz validlocale vam vconfig vcstime vdir vi view viewres vigr vim vim-addon-manager vim-addons vim.basic vim.tiny vimdiff vimplate vimtutor vipw visudo vmstat vpddecode vtysh w w.procps w3m w3mman wall watch wc wftopfa wget whatis whereis which which whiptail who who@ whoami whois wipefs wireshark word-list-compress write www-browser x-terminal-emulator x-www-browser x11perf x11perfcomp x86_64 xargs xauth xbiff xcalc xclipboard xclock xconsole xcursorgen xcutsel xditview xdpyinfo xdriinfo xedit xev xeyes xfd xfontsel xgc xgettext xkbbell xkbcomp xkbevd xkbprint xkbvleds xkbwatch xkill xlinks2 xload xlogo xlsatoms xlsclients xlsfonts xmag xman xmessage xmore xprop xsubpp xtables-multi xterm xtermcontrol xtermset xvinfo xvt xwd xwininfo xwud xxd xz xzcat xzcmp xzdiff xzegrep xzfgrep xzgrep xzless xzmore yes ypbind ypcat ypchfn ypchsh ypdomainname ypmatch yppasswd yppoll yppush ypserv ypserv_test ypset yptest ypwhich zcat zcmp zdiff zdump zegrep zfgrep zforce zgrep zic zipgrep zipinfo zless zmore znew zsoelim '
